
import java.util.Scanner;
/** Demo of Question class */
public class QuestionDemo
{
    /** Entry point for application.
     * @param args no parameters needed.
     */
    public static void main(String[] args)
    {
        Question[] quiz = new Question[2];

        quiz[0] = new Question("Who was the inventor of Java?");
        quiz[0].setAnswer("James Gosling");

        ChoiceQuestion question = new ChoiceQuestion(
                "In which country was the inventor of Java born?");
        question.addChoice("Australia", false);
        question.addChoice("Canada", true);
        question.addChoice("Denmark", false);
        question.addChoice("United States", false);
        quiz[1] = question;

        Scanner in = new Scanner(System.in);
        // Administer the quiz
        for (Question qst : quiz)
        {
            qst.display();
            System.out.print("Your answer: ");
            String response = in.nextLine();
            System.out.println(qst.checkAnswer(response));
        }
    }
}
